Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 506 - pngtopnm core dumps
Summary: pngtopnm core dumps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libgr
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-17 06:05 UTC by paulmatthews
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-23 22:48:31 UTC


Attachments (Terms of Use)

Description paulmatthews 1998-12-17 06:05:13 UTC
Running pngtopnm against any pnm I have [all made by gimp,
RGB or RGBA] generate a Segmentation fault (core dumped).

[... The big picture is I'm trying to combine several png's
which contain semi-transparent regions on demand.
ImageMagick does not handle semi-transparencies, so I though
I would write something with Imlib. But Imlib does not allow
access to the semi-transparent information!!!...]

Comment 1 paulmatthews 1998-12-21 12:46:59 UTC
[BTW: The later ImageMagicks (4.1.6) handle semi-transparencies
correctly.  This however does not stop pngtopnm from seg faulting...]

Comment 2 David Lawrence 1998-12-30 22:02:59 UTC
I was able to replicate the problem as stated by the reporter. I have
assigned to a developer for further review.

Comment 3 Michael K. Johnson 1999-03-23 22:48:59 UTC
fixed in libgr-2.0.13-17 by removing rogue png/png.h header file


Note You need to log in before you can comment on or make changes to this bug.